{ lib, stdenv, fetchzip, autoPatchelfHook, alsa-lib, dbus, xorg, ffmpeg, nss, cups, pango, atk, gdk-pixbuf, gtk3 }:

stdenv.mkDerivation rec {
  pname = "inky";
  version = "0.14.1";
  src = fetchzip {
    url = "https://github.com/inkle/inky/releases/download/${version}/Inky_linux.zip";
    hash = "sha256-WK63bmW6n/hsrjhBzDAi1EjxPiP2TxtuaxAIa84TAsk=";
  };

  nativeBuildInputs = [ autoPatchelfHook ];
  buildInputs = [
    alsa-lib
    dbus
    xorg.libXScrnSaver
    xorg.libXrandr
    xorg.libXi
    xorg.libXcomposite
    xorg.libXcursor
    xorg.libXdamage
    xorg.libXtst
    ffmpeg
    nss
    cups
    pango
    atk
    gdk-pixbuf
    gtk3
  ];

  installPhase = ''
    runHook preInstall
    install -m755 -D Inky $out/bin/Inky
    runHook postInstall
  '';

  meta = with lib; {
    description = "An editor for ink: inkle's narrative scripting language";
    homepage = "https://www.inklestudios.com/ink/";
    license = licenses.mit;
    maintainers = with maintainers; [ elnudev ];
    platforms = platforms.linux;
  };
}